[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

[kernel-package]: Problem compiling third-party modules


I'm trying to compile fglrx modules with kernel-package from

Package: kernel-package
Version: 10.035bpo1
Severity: normal

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (99, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.15-1-686
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)

Versions of packages kernel-package depends on:
ii  dpkg                 1.10.28             Package maintenance system for Deb
ii  dpkg-dev             1.10.28             Package building tools for Debian
ii  file                 4.12-1              Determines file type using "magic"
ii  gcc [c-compiler]     4:3.3.5-3           The GNU C compiler
ii  gcc-3.3 [c-compiler] 1:3.3.5-13          The GNU C compiler
ii  gettext              0.14.4-2            GNU Internationalization utilities
ii  make                 3.80+3.81.rc1-0bpo1 The GNU version of the "make" util
ii  perl                 5.8.4-8sarge3       Larry Wall's Practical Extraction 
ii  po-debconf           0.8.23              manage translated Debconf template

-- no debconf information

(the system information is wrong, apt prefers stable).

I'm running 2.6.15 from the bpo Debian package, and I have unpacked the
kernel sources for 2.6.15 in ~/src/linux-2.6.15.  I copied
/boot/config-2.6.15-1-686 to .config in this directory.  According to
/usr/share/doc/kernel-package/README.modules, I tried:

MODULE_LOC=~/src/modules/ make-kpkg --append-to-version -686 modules_image

This fails with

Warning: The file include/linux/version.h exists
The contained UTS_VERSION string:
does not match expectations:
I'll try and recover
exec debian/rules  DEBIAN_REVISION=local.1.0  APPEND_TO_VERSION=-1-686  modules_image 
====== making .config because of Makefile ======

test -f .config || test ! -f .config.save || \
		            cp -pf .config.save .config
test -f .config || test ! -f .config || \
		            cp -pf .config .config
test -f .config || test ! -f ./debian/config || \
		            cp -pf ./debian/config  .config
test -f .config || (echo "*** Need a config file .config" && false)
The UTS Release version in include/linux/version.h
does not match current version:
Please correct this.
exit 2
make: *** [modules_image] Error 2

If I don't use append-to-version, the error is different, it first
compiles some stuff and then says:

  LD [M]  /home/frank/src/modules/fglrx/fglrx.o
  Building modules, stage 2.
/bin/sh: line 1: scripts/mod/modpost: No such file or directory
make[3]: *** [__modpost] Error 127
make[2]: *** [modules] Error 2
make[2]: Leaving directory `/home/frank/src/linux-source-2.6.15'
make[1]: *** [build] Error 2
make[1]: Leaving directory `/home/frank/src/modules/fglrx'
Module /home/frank/src/modules/fglrx failed.
Hit return to Continue

I've seen this in google, but without a solution using make-kpkg, but
not reported in the BTS.  Is this a bug, or am I doing something wrong?

Regards, Frank
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX)

Reply to: